


variables:
  MICRO_SERVICE: frontend
  SERVICE_VERSION: "1.3"
  SERVICE_PORT: 3000
  REPLICAS: 2

stages:
 - build


build:
  tags: 
    - remote
    - group
    - shell

  stage: build
  before_script:
    - export IMAGE_NAME=$CI_REGISTRY_IMAGE/microservice/$MICRO_SERVICE
    - export IMAGE_TAG=$SERVICE_VERSION
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_NAME:$IMAGE_TAG .
    - docker push $IMAGE_NAME:$IMAGE_TAG
    - sed -i "s|$IMAGE_NAME:{{IMASGE_TAG}}|$IMAGE_NAME:${IMAGE_TAG}|g" kubernetes/deployment.yaml
  

include: 
  - project: mymicroservice-cicd/ci-templates
    ref: main
    file:
      - build.yml
      - deploy-k8s.yml


variables:
  MICRO_SERVICE: frontend
  SERVICE_VERSION: "1.3"
  SERVICE_PORT: 3000
  REPLICAS: 2

stages:
 - build
 - deploy

build:
  tags: 
    - remote
    - group
    - shell

deploy:
  tags: 
    - remote
    - group
    - shell

